SCROLLKEEPER-PREINSTALL(8)

NAME
scrollkeeper-preinstall - generate on OMF file, based on an existing OMF file, which has the correct URL for a document

SYNOPSIS
scrollkeeper-preinstall [ -n ] url input-omf-file output-omf-file

DESCRIPTION
scrollkeeper-preinstall creates the OMF file output-omf-file by reading the given existing OMF file input-omf-file and replacing the URL for a resource (typically a document) with the URL given by url. This is typically done as part of the build process for an application, since the actual location that a document is installed is not known until the application is built. If output-omf-file is specified with a path, and that path does not exist, the path is created. The url is typically the "file:" URI followed by the absolute path to a document which is (or will be) installed. (eg. "file:/usr/doc/scrollkeeper/scrollkeeper.sgml")

OPTIONS

-n  Use the network to retrieve the DTD if it is not available via the system's XML catalog.

AUTHOR
Laszlo Kovacs <laszlo.kovacs@sun.com>
Dan Mueth <d-mueth@uchicago.edu>

SEE ALSO
scrollkeeper-config(1), scrollkeeper-gen-seriesid(1), scrollkeeper.conf(5), scrollkeeper(7), scrollkeeper-rebuilddb(8), scrollkeeper-update(8)